[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: depmod: not an ELF file

"Michael P. Soulier" <msoulier@storm.ca> writes:

> On Mon, Feb 05, 2001 at 11:30:51PM -0800, Krzys Majewski wrote:
> > Why does 'update-modules' give:
> > 
> > depmod: not an ELF file? 
> > 
> > I've done a dist-upgrade but no juice. 
>     I've had this happen when I transferred a module incorrectly. I think I
> transferred it across an ms-dos-mounted floppy instead of vfat. Maybe you had
> a transfer problem? 
>     Try "file <filename>". The modules should say, I believe, 32-bit ELF. 

It turns out I had a text file "modules.pcimap" in /lib/modules/current/,
the removal of which solved the problem.  

Reply to: